/**
 * 
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Query;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.LogHistoricoContingenciaDAO;
import com.rjconsultores.ventaboletos.entidad.LogHistoricoContingencia;

/**
 * @author vjcor
 *
 */
@Repository("LogHistoricoContingenciaDAO")
@SuppressWarnings("unchecked")
public class LogHistoricoContingenciaHibernateDAO extends GenericHibernateDAO<LogHistoricoContingencia, Long> implements LogHistoricoContingenciaDAO {

	@Autowired
	public LogHistoricoContingenciaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
	@Override
	public List<LogHistoricoContingencia> buscarHistorico(Integer empresaID, Integer estadoID) {
		String queryStr = "from LogHistoricoContingencia log where log.empresa.empresaId = :empresaId and log.estado.estadoId = :estadoId"; 
		
		Query query = getSession().createQuery(queryStr);
		query.setInteger("empresaId", empresaID);
		query.setInteger("estadoId", estadoID);
		
		return (List<LogHistoricoContingencia>) query.list();
	}


}
